net.i2p.i2ptunnel.udp

## Enum I2PSource.Protocol

- java.lang.Object
- - java.lang.Enum<I2PSource.Protocol>
  - - net.i2p.i2ptunnel.udp.I2PSource.Protocol

- All Implemented Interfaces:
    Serializable, Comparable<I2PSource.Protocol>
  Enclosing class:
    I2PSource

      public static enum I2PSource.Protocol
      extends Enum<I2PSource.Protocol>

  Protocol enum for I2P source handling.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH`
    `RAW`
    `REPLIABLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2PSource.Protocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static I2PSource.Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTH

          public static final I2PSource.Protocol BOTH

    - #### RAW

          public static final I2PSource.Protocol RAW

    - #### REPLIABLE

          public static final I2PSource.Protocol REPLIABLE

  - ### Method Detail

    - #### valueOf

          public static I2PSource.Protocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static I2PSource.Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2PSource.Protocol c : I2PSource.Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared